> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Agent Run

> Start a new run of a growth agent, executing it in-process locally or via an Argo workflow in deployed environments.



## OpenAPI

````yaml post /opportunity/growth-agent/{agent_id}/run
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /opportunity/growth-agent/{agent_id}/run:
    post:
      tags:
        - Growth Agents
      summary: Trigger Agent Run
      description: >-
        Start a new run of a growth agent, executing it in-process locally or
        via an Argo workflow in deployed environments.
      operationId: trigger_agent_run_opportunity_growth_agent__agent_id__run_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GrowthAgentRunCreate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GrowthAgentRunSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    GrowthAgentRunCreate:
      properties:
        configValues:
          additionalProperties: true
          type: object
          title: Configvalues
        dataSources:
          items:
            type: string
          type: array
          title: Datasources
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
      type: object
      title: GrowthAgentRunCreate
    GrowthAgentRunSummary:
      properties:
        id:
          type: string
          title: Id
        agentId:
          type: string
          title: Agentid
        status:
          $ref: '#/components/schemas/GrowthAgentRunStatus'
        startedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startedat
        completedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completedat
        durationSeconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Durationseconds
        inputDataSources:
          items:
            type: string
          type: array
          title: Inputdatasources
        inputConfig:
          additionalProperties: true
          type: object
          title: Inputconfig
        instructions:
          anyOf:
            - type: string
            - type: 'null'
          title: Instructions
        resultSummary:
          anyOf:
            - type: string
            - type: 'null'
          title: Resultsummary
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
      type: object
      required:
        - id
        - agentId
        - status
      title: GrowthAgentRunSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GrowthAgentRunStatus:
      type: string
      enum:
        - PENDING
        - RUNNING
        - COMPLETED
        - FAILED
        - CANCELLED
      title: GrowthAgentRunStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````